#ifndef MENU_H
#define MENU_H

#define MENU_PAD 100
#define WINDOW_SPACING_X 30
#define WINDOW_SPACING_Y 30

typedef struct _MENU_ITEM {
	char *description;
	char **options;
	int numOptions;
	int selectedOption;
	struct _MENU_ITEM **subMenu;
	int numSubMenuItems;
} MENU_ITEM;

typedef struct _MENU_WINDOW {
	MENU_ITEM **items;	// Menu items to display
	int numItems;		// Number of items
	HWND hwnd;		// Window
	HDC onHDC;		// Displayed HDC
	HDC offHDC;		// Offscreen HDC
	HBITMAP offHBitmap;	// Offscreen HBITMAP
	int selectedIndex;	// Index of selected element
	int firstIndex;		// Index of first element to be displayed
	BOOL closed;		// Indicates that the user has closed the window
} MENU_WINDOW;

BOOL displayMenu(
	MENU_ITEM **items,	// Items to display
	int numItems		// Number of items
);

void menuCleanup();		// Cleans up all the internals

#endif
